FROM python:3.9

LABEL maintainer="Kirk Trombley <ktrom3894@gmail.com>"

WORKDIR /app/

ENV SQLALCHEMY_URL="sqlite:///./terrassumptions.db"

COPY ./data /app/data
  
COPY logging.conf ./

COPY requirements.txt ./

RUN pip3 install -r requirements.txt

COPY ./app /app/app

CMD uvicorn app:app --host 0.0.0.0 --port 5000 --root-path /terrassumptions/api
